/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: flex;
  flex-flow: column;
  max-width: 70em;
  width: 100%;
  margin: 0 auto;

  & > * {
    margin-bottom: 1em;
  }
}

.placeholder {
  padding: 1em;
  font-style: italic;
}

.pdf-overlay {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 500;
}

.editor--arrangement--header {
  display: flex;
  justify-content: flex-end;
  align-content: center;
  margin-right: 0.125em;
}

.editor--arrangement--header--button {
  border: 0;
  padding: 0.1em;

  background: none;
  font-size: 1.25em;
  border-radius: 50%;
  margin-left: 0.25em;
  display: flex;
  justify-content: center;
  align-items: center;
}

.editor--arrangement--header--button--icon {
  border: 0;
  padding: 0;
  background: none;
  width: initial;
  height: initial;
  font-size: 1em;
}

.statement-details {
  width: 100%;
  max-width: 70em;
}
